- [HTTP request](https://developers.google.com/health/reference/rest/v4/users.pairedDevices/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4/users.pairedDevices/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/health/reference/rest/v4/users.pairedDevices/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4/users.pairedDevices/list#body.request_body)
- [Response body](https://developers.google.com/health/reference/rest/v4/users.pairedDevices/list#body.response_body)
  - [JSON representation](https://developers.google.com/health/reference/rest/v4/users.pairedDevices/list#body.ListPairedDevicesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4/users.pairedDevices/list#body.aspect)
- [Examples](https://developers.google.com/health/reference/rest/v4/users.pairedDevices/list#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4/users.pairedDevices/list#try-it)

Returns the user's list of paired 1P trackers and smartwatches.

### HTTP request

`GET https://health.googleapis.com/v4/{parent=users/*}/pairedDevices`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4/errors)

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of devices. Format: users/{user} It takes the form `users/{user}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of devices to return. The service may return fewer than this value. If unspecified, at most 5 devices will be returned. The maximum value is 100. values above 100 will be coerced to 100. |
| `pageToken` | `string` Optional. A page token, received from a previous `pairedDevices.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `pairedDevices.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for pairedDevices.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "pairedDevices": [ { object (`https://developers.google.com/health/reference/rest/v4/users.pairedDevices#PairedDevice`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `pairedDevices[]` | ``object (`https://developers.google.com/health/reference/rest/v4/users.pairedDevices#PairedDevice`)`` The paired devices of the user. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/googlehealth.settings.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).